import {
  api,
} from '~/utils/axios';

/**
 * 获取公司简介列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getCompanyProfileList(data) {
  return api.post('AboutUs.CompanyProfile/getCompanyProfileList', data);
}

/**
 * 删除公司简介
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteCompanyProfile(data) {
  return api.post('AboutUs.CompanyProfile/deleteCompanyProfile', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加公司简介
 * @param {Object} data
 * @return {Promise} api
 */
export function addCompanyProfile(data) {
  return api.post('AboutUs.CompanyProfile/addCompanyProfile', data, {
    // isTransformResponse: true,
    // isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑公司简介
 * @param {Object} data
 * @return {Promise} api
 */
export function editCompanyProfile(data) {
  return api.post('AboutUs.CompanyProfile/editCompanyProfile', data, {
    // isTransformResponse: true,
    // isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}