import { api, downloadFile, createApiUrl } from '~/utils/axios';


/**
* 导出招生问答
* @param {Object} data
* @return {Promise} api
*/
export function exportExcel(data) {
  downloadFile(createApiUrl('Enrol.EnrolAq/exportExcel'), data);
}







/**
 * 获取字典值
 * @param {Object} data
 * @return {Promise} api
 */
export function getDictionary(data) {
  return api.post('Dictionary.Dictionary/getDictionary', data, {
  });
}


/**
 * 获取招生问答列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getEnrolAqList(data) {
  return api.post('Enrol.EnrolAq/getEnrolAqList', data);
}

/**
 * 删除招生问答
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteEnrolAq(data) {
  return api.post('Enrol.EnrolAq/deleteEnrolAq', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加招生问答
 * @param {Object} data
 * @return {Promise} api
 */
export function addEnrolAq(data) {
  return api.post('Enrol.EnrolAq/addEnrolAq', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑招生问答
 * @param {Object} data
 * @return {Promise} api
 */
export function editEnrolAq(data) {
  return api.post('Enrol.EnrolAq/editEnrolAq', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
