import { api, downloadFile, createApiUrl} from '~/utils/axios';









/**
 * 获取招生简介列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getEnrolIntroList(data) {
  return api.post('Enrol.EnrolIntro/getEnrolIntroList', data);
}

/**
 * 删除招生简介
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteEnrolIntro(data) {
  return api.post('Enrol.EnrolIntro/deleteEnrolIntro', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加招生简介
 * @param {Object} data
 * @return {Promise} api
 */
export function addEnrolIntro(data) {
  return api.post('Enrol.EnrolIntro/addEnrolIntro', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑招生简介
 * @param {Object} data
 * @return {Promise} api
 */
export function editEnrolIntro(data) {
  return api.post('Enrol.EnrolIntro/editEnrolIntro', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
