import { api, downloadFile, createApiUrl } from '~/utils/axios';


/**
* 导出入学流程
* @param {Object} data
* @return {Promise} api
*/
export function exportExcel(data) {
  downloadFile(createApiUrl('Enrol.EnterSchoolProcess/exportExcel'), data);
}








/**
 * 获取入学流程列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getEnterSchoolProcessList(data) {
  return api.post('Enrol.EnterSchoolProcess/getEnterSchoolProcessList', data);
}

/**
 * 删除入学流程
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteEnterSchoolProcess(data) {
  return api.post('Enrol.EnterSchoolProcess/deleteEnterSchoolProcess', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加入学流程
 * @param {Object} data
 * @return {Promise} api
 */
export function addEnterSchoolProcess(data) {
  return api.post('Enrol.EnterSchoolProcess/addEnterSchoolProcess', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑入学流程
 * @param {Object} data
 * @return {Promise} api
 */
export function editEnterSchoolProcess(data) {
  return api.post('Enrol.EnterSchoolProcess/editEnterSchoolProcess', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
