import { api, downloadFile, createApiUrl } from '~/utils/axios';


/**
 * 下载资讯文章模板
 * @param {Object} data
 * @return {Promise} api
 */
export function downloadTemplate(data) {
  downloadFile(createApiUrl('infoArticle.infoArticle/downloadTemplate'), data);
}

/**
 * 导入资讯文章
 * @param {Object} data
 * @return {Promise} api
 */
export const importExcel = createApiUrl('infoArticle.infoArticle/importExcel');

/**
* 导出资讯文章
* @param {Object} data
* @return {Promise} api
*/
export function exportExcel(data) {
  downloadFile(createApiUrl('infoArticle.infoArticle/exportExcel'), data);
}








/**
 * 获取资讯文章列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getinfoArticleList(data) {
  return api.post('infoArticle.infoArticle/getinfoArticleList', data);
}

/**
 * 删除资讯文章
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteinfoArticle(data) {
  return api.post('infoArticle.infoArticle/deleteinfoArticle', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加资讯文章
 * @param {Object} data
 * @return {Promise} api
 */
export function addinfoArticle(data) {
  return api.post('infoArticle.infoArticle/addinfoArticle', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑资讯文章
 * @param {Object} data
 * @return {Promise} api
 */
export function editinfoArticle(data) {
  return api.post('infoArticle.infoArticle/editinfoArticle', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
