import { api, downloadFile, createApiUrl } from '~/utils/axios';


/**
* 导出资讯文章类型
* @param {Object} data
* @return {Promise} api
*/
export function exportExcel(data) {
  downloadFile(createApiUrl('infoArticleType.infoArticleType/exportExcel'), data);
}

/**
 * 下载资讯文章类型模板
 * @param {Object} data
 * @return {Promise} api
 */
export function downloadTemplate(data) {
  downloadFile(createApiUrl('infoArticleType.infoArticleType/downloadTemplate'), data);
}

/**
 * 导入资讯文章类型
 * @param {Object} data
 * @return {Promise} api
 */
export const importExcel = createApiUrl('infoArticleType.infoArticleType/importExcel');








/**
 * 获取资讯文章类型列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getinfoArticleTypeList(data) {
  return api.post('infoArticleType.infoArticleType/getinfoArticleTypeList', data);
}

/**
 * 删除资讯文章类型
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteinfoArticleType(data) {
  return api.post('infoArticleType.infoArticleType/deleteinfoArticleType', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加资讯文章类型
 * @param {Object} data
 * @return {Promise} api
 */
export function addinfoArticleType(data) {
  return api.post('infoArticleType.infoArticleType/addinfoArticleType', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑资讯文章类型
 * @param {Object} data
 * @return {Promise} api
 */
export function editinfoArticleType(data) {
  return api.post('infoArticleType.infoArticleType/editinfoArticleType', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
