import { api, downloadFile, createApiUrl } from '~/utils/axios';


/**
* 导出加盟申请
* @param {Object} data
* @return {Promise} api
*/
export function exportExcel(data) {
  downloadFile(createApiUrl('ContactUs.JoinApply/exportExcel'), data);
}





/**
 * 获取字典值
 * @param {Object} data
 * @return {Promise} api
 */
export function getDictionary(data) {
  return api.post('Dictionary.Dictionary/getDictionary', data, {
  });
}
/**
 * 受理合作加盟申请
 * @param {Object} data
 * @return {Promise} api
 */
export function handlejoin_applyStatus(data) {
  return api.post('ContactUs.JoinApply/handlejoin_applyStatus', data, {
    // isTransformResponse: true,
    // isShowSuccessMessage: true,
    errorMessageText: '受理失败'
  });
}

/**
 * 获取加盟申请列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getJoinApplyList(data) {
  return api.post('ContactUs.JoinApply/getJoinApplyList', data);
}

/**
 * 删除加盟申请
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteJoinApply(data) {
  return api.post('ContactUs.JoinApply/deleteJoinApply', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加加盟申请
 * @param {Object} data
 * @return {Promise} api
 */
export function addJoinApply(data) {
  return api.post('ContactUs.JoinApply/addJoinApply', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑加盟申请
 * @param {Object} data
 * @return {Promise} api
 */
export function editJoinApply(data) {
  return api.post('ContactUs.JoinApply/editJoinApply', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
