import { api, downloadFile, createApiUrl } from '~/utils/axios';


/**
* 导出用户留言
* @param {Object} data
* @return {Promise} api
*/
export function exportExcel(data) {
  downloadFile(createApiUrl('ContactUs.LeaveMessage/exportExcel'), data);
}







/**
 * 获取字典值
 * @param {Object} data
 * @return {Promise} api
 */
export function getDictionary(data) {
  return api.post('Dictionary.Dictionary/getDictionary', data, {
  });
}


/**
 * 获取用户留言列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getLeaveMessageList(data) {
  return api.post('ContactUs.LeaveMessage/getLeaveMessageList', data);
}

/**
 * 删除用户留言
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteLeaveMessage(data) {
  return api.post('ContactUs.LeaveMessage/deleteLeaveMessage', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加用户留言
 * @param {Object} data
 * @return {Promise} api
 */
export function addLeaveMessage(data) {
  return api.post('ContactUs.LeaveMessage/addLeaveMessage', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑用户留言
 * @param {Object} data
 * @return {Promise} api
 */
export function editLeaveMessage(data) {
  return api.post('ContactUs.LeaveMessage/editLeaveMessage', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
/**
 * 受理用户留言
 * @param {Object} data
 * @return {Promise} api
 */
export function handleleave_messageStatus(data) {
  return api.post('ContactUs.LeaveMessage/handleleave_messageStatus', data, {
    // isTransformResponse: true,
    // isShowSuccessMessage: true,
    errorMessageText: '受理失败'
  });
}