import { api, downloadFile, createApiUrl} from '~/utils/axios';




/**
* 导出报名流程
* @param {Object} data
* @return {Promise} api
*/
export function exportExcel(data) {
  downloadFile(createApiUrl('Enrol.SignUpProcess/exportExcel'), data);
}




/**
 * 获取报名流程列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getSignUpProcessList(data) {
  return api.post('Enrol.SignUpProcess/getSignUpProcessList', data);
}

/**
 * 删除报名流程
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteSignUpProcess(data) {
  return api.post('Enrol.SignUpProcess/deleteSignUpProcess', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加报名流程
 * @param {Object} data
 * @return {Promise} api
 */
export function addSignUpProcess(data) {
  return api.post('Enrol.SignUpProcess/addSignUpProcess', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑报名流程
 * @param {Object} data
 * @return {Promise} api
 */
export function editSignUpProcess(data) {
  return api.post('Enrol.SignUpProcess/editSignUpProcess', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
