import {
  api,
  downloadFile,
  createApiUrl
} from '~/utils/axios';


/**
 * 导出在线报名
 * @param {Object} data
 * @return {Promise} api
 */
export function exportExcel(data) {
  downloadFile(createApiUrl('ContactUs.Signup/exportExcel'), data);
}

/**
 * 获取字典值
 * @param {Object} data
 * @return {Promise} api
 */
export function getDictionary(data) {
  return api.post('Dictionary.Dictionary/getDictionary', data, {});
}

/**
 * 获取在线报名列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getSignupList(data) {
  return api.post('ContactUs.Signup/getSignupList', data);
}

/**
 * 删除在线报名
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteSignup(data) {
  return api.post('ContactUs.Signup/deleteSignup', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 受理在线报名
 * @param {Object} data
 * @return {Promise} api
 */
export function handleSignupStatus(data) {
  return api.post('ContactUs.Signup/handleSignupStatus', data, {
    // isTransformResponse: true,
    // isShowSuccessMessage: true,
    errorMessageText: '受理失败'
  });
}